<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具参数详情">
              <a-descriptions-item label="刀片形状">{{ this.para == null || this.para.bladeShape == null ? '' : this.para.bladeShape  }}</a-descriptions-item>
              <a-descriptions-item label="刀片长度">{{  this.para == null || this.para.bladeLength == null ? '' : this.para.bladeLength }}</a-descriptions-item>
              <a-descriptions-item label="切削刃数">{{ this.para == null || this.para.cuttingEdgeCount == null ? '' : this.para.cuttingEdgeCount }}</a-descriptions-item>
              <a-descriptions-item label="刀片厚度">{{ this.para == null || this.para.bladeThickness == null ? '' : this.para.bladeThickness }}</a-descriptions-item>
              <a-descriptions-item label="夹固型式">{{ this.para == null || this.para.clampingType == null ? '' : this.para.clampingType }}</a-descriptions-item>
              <a-descriptions-item label="刀尖R">{{ this.para == null || this.para.noseAngleR == null ? '' : this.para.noseAngleR }}</a-descriptions-item>
              <a-descriptions-item label="刀片材料">{{ this.para == null || this.para.toolMaterial == null ? '' : this.para.toolMaterial }}</a-descriptions-item>
              <a-descriptions-item label="零件材料">{{ this.para == null || this.para.partMaterial == null ? '' : this.para.partMaterial }}</a-descriptions-item>
              <a-descriptions-item label="是否涂层">{{ this.para == null || this.para.paintcoatFlag == null ? '' : this.para.paintcoatFlag  }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件">{{ this.para == null || this.para.technicalConditions == null ? '' : this.para.technicalConditions }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件说明">{{ this.para == null || this.para.conditionsInfo == null ? '' : this.para.conditionsInfo }}</a-descriptions-item>
              <a-descriptions-item label="品牌">{{ this.para == null || this.para.brand == null ? '' : this.para.brand }}</a-descriptions-item>
              <a-descriptions-item label="制式">{{ this.para == null || this.para.types == null ? '' : this.para.types }}</a-descriptions-item>
              <a-descriptions-item label="涂层材质">{{ this.para == null || this.para.coatingMaterial == null ? '' : this.para.coatingMaterial }}</a-descriptions-item>
              <a-descriptions-item label="加工分类">{{ this.para == null || this.para.processingClassify == null ? '' : this.para.processingClassify }}</a-descriptions-item>
              <a-descriptions-item label="刀片后角">{{ this.para == null || this.para.bladePosterior == null ? '' : this.para.bladePosterior  }}</a-descriptions-item>
              <a-descriptions-item label="切削方向">{{ this.para == null || this.para.cuttingDirection == null ? '' : this.para.cuttingDirection }}</a-descriptions-item>
              <a-descriptions-item label="刀片宽度">{{ this.para == null || this.para.bladeWide == null ? '' : this.para.bladeWide }}</a-descriptions-item>
              <a-descriptions-item label="刀片尺寸">{{ this.para == null || this.para.bladeSize == null ? '' : this.para.bladeSize }}</a-descriptions-item>
              <a-descriptions-item label="内外螺纹">{{ this.para == null || this.para.inOutThread == null ? '' : this.para.inOutThread }}</a-descriptions-item>
              <a-descriptions-item label="螺纹标准">{{ this.para == null || this.para.threadStandard == null ? '' : this.para.threadStandard }}</a-descriptions-item>
              <a-descriptions-item label="牙型角度">{{ this.para == null || this.para.dentalAngle == null ? '' : this.para.dentalAngle }}</a-descriptions-item>
              <a-descriptions-item label="螺距">{{ this.para == null || this.para.pitch == null ? '' : this.para.pitch }}</a-descriptions-item>
              <a-descriptions-item label="最小加工内螺纹公称直径">{{ this.para == null || this.para.minInternalThread == null ? '' : this.para.minInternalThread  }}</a-descriptions-item>
             
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ParaHoleToolsList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },

}
</script>
<style lang="less" scoped>
</style>